<?php

if (core::ifPost("from") AND core::getPost("from") == "emargement" AND session::isConnect("salarie")) { 
    if(event::checkUrl(core::getPost("qRcode")) != DOMAIN_EVENTS){
        alert::recError("Le QR-Code n'est pas valide.");
        header("Location: /");
        exit();   
    } else { 
        $md5Evenement = event::getEvenementbyQRCode(core::getPost("qRcode"))["e"]; 
        if(event::checkEvenementBySalarie($md5Evenement) == TRUE){ 

            if(event::emargementEvenement(event::getIdEvenementByMd5($md5Evenement), session::getId("salarie"))){
                alert::recSuccess("Votre émargement a été pris en compte");
            } else {
                alert::recError("Nous n'avons pas pu vous émarger sur l'évènement");
            } 
        }
        header("Location: /");
        exit();
    }
} else {
    header('HTTP/1.0 401 Unauthorized');
    exit();
}
